DataChannelDescriptor (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.configuration, class: DataChannelDescriptor

# Class DataChannelDescriptor

java.lang.Object
org.apache.cayenne.configuration.DataChannelDescriptor

All Implemented Interfaces:
  `Serializable, ConfigurationNode, XMLSerializable`

public class DataChannelDescriptor extends Object implements ConfigurationNode, Serializable, XMLSerializable
A descriptor of a DataChannel normally loaded from XML configuration.

Since:
  3.1
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Resource`
  `configurationSource`
  `protected Collection<DataMap>`
  `dataMaps`
  `protected String`
  `defaultNodeName`
  `protected String`
  `name`
  `protected Collection<DataNodeDescriptor>`
  `nodeDescriptors`
  `protected Map<String,String>`
  `properties`
  `static final String`
  `SCHEMA_XSD`
  The namespace in which the data map XML file will be created.
  `static final String`
  `SCHEMA_XSD_LOCATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataChannelDescriptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `acceptVisitor(ConfigurationNodeVisitor<T> visitor)`
  `void`
  `encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor delegate)`
  Prints itself as XML to the provided XMLEncoder.
  `Resource`
  `getConfigurationSource()`
  `DataMap`
  `getDataMap(String name)`
  `Collection<DataMap>`
  `getDataMaps()`
  `String`
  `getDefaultNodeName()`
  Returns the name of the DataNode that should be used as the default if a DataMap is not explicitly linked to a node.
  `String`
  `getName()`
  `DataNodeDescriptor`
  `getNodeDescriptor(String name)`
  `Collection<DataNodeDescriptor>`
  `getNodeDescriptors()`
  `Map<String,String>`
  `getProperties()`
  `void`
  `setConfigurationSource(Resource configurationSource)`
  `void`
  `setDefaultNodeName(String defaultDataNodeName)`
  `void`
  `setName(String name)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SCHEMA_XSD

    public static final String SCHEMA_XSD
    The namespace in which the data map XML file will be created.
    See Also:
      - Constant Field Values

  - ### SCHEMA_XSD_LOCATION

    public static final String SCHEMA_XSD_LOCATION
    See Also:
      - Constant Field Values

  - ### name

    protected String name

  - ### properties

    protected Map<String,String> properties

  - ### dataMaps

    protected Collection<DataMap> dataMaps

  - ### nodeDescriptors

    protected Collection<DataNodeDescriptor> nodeDescriptors

  - ### configurationSource

    protected transient Resource configurationSource

  - ### defaultNodeName

    protected String defaultNodeName

- ## Constructor Details

  - ### DataChannelDescriptor

    public DataChannelDescriptor()

- ## Method Details

  - ### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor delegate)
    Description copied from interface: `XMLSerializable`
    Prints itself as XML to the provided XMLEncoder.
    Specified by:
      `encodeAsXML` in interface `XMLSerializable`

  - ### acceptVisitor

    public <T> T acceptVisitor(ConfigurationNodeVisitor<T> visitor)
    Specified by:
      `acceptVisitor` in interface `ConfigurationNode`

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getProperties

    public Map<String,String> getProperties()

  - ### getDataMaps

    public Collection<DataMap> getDataMaps()

  - ### getDataMap

    public DataMap getDataMap(String name)

  - ### getNodeDescriptors

    public Collection<DataNodeDescriptor> getNodeDescriptors()

  - ### getNodeDescriptor

    public DataNodeDescriptor getNodeDescriptor(String name)

  - ### getConfigurationSource

    public Resource getConfigurationSource()

  - ### setConfigurationSource

    public void setConfigurationSource(Resource configurationSource)

  - ### getDefaultNodeName

    public String getDefaultNodeName()
    Returns the name of the DataNode that should be used as the default if a DataMap is not explicitly linked to a node.

  - ### setDefaultNodeName

    public void setDefaultNodeName(String defaultDataNodeName)